"use strict";

var _chai = require("chai");

var _outcomes = require("../outcomes");

var _constants = require("@instructure/quiz-common/lib/constants");

describe('config action creators', function () {
  it('returns a setContextUuid action ', function () {
    var uuid = 'alphabeta';
    var action = (0, _outcomes.setContextUuid)(uuid);
    var expectedAction = {
      type: _constants.SET_CONTEXT_UUID,
      payload: uuid
    };
    (0, _chai.expect)(action).to.deep.equal(expectedAction);
  });
  it('returns a setOutcomesEndpoint action ', function () {
    var endpoint = 'http://outcomes.test';
    var action = (0, _outcomes.setOutcomesEndpoint)(endpoint);
    var expectedAction = {
      type: _constants.SET_OUTCOMES_ENDPOINT,
      payload: endpoint
    };
    (0, _chai.expect)(action).to.deep.equal(expectedAction);
  });
  it('returns a setOutcomesToken action ', function () {
    var token = 'alphabetacharlie';
    var action = (0, _outcomes.setOutcomesToken)(token);
    var expectedAction = {
      type: _constants.SET_OUTCOMES_TOKEN,
      payload: token
    };
    (0, _chai.expect)(action).to.deep.equal(expectedAction);
  });
});